using System;
using System.Collections.Generic;
using System.Text;
using System.Workflow.ComponentModel;
using System.Workflow.Activities;

namespace SodaService
{
    [ExternalDataExchange]
    public interface ISodaController
    {
        // Workflow to host communication
        void UpdateTotal(decimal total);
        void ReadyToDispense(decimal finalTotal);

        // Host to workflow communication
        event EventHandler<CoinInsertedEventArgs> CoinInserted;
        event EventHandler<ItemSelectedEventArgs> ItemSelected;
    }
}
