using System;
using System.Collections.Generic;
using System.Text;
using System.Workflow.ComponentModel;
using System.Workflow.Activities;

namespace SodaService
{
    [Serializable]
    public class TotalChangedEventArgs : ExternalDataEventArgs
    {
        private decimal _total = 0.0m;

        public TotalChangedEventArgs(Guid instanceId, decimal total)
            : base(instanceId)
        {
            // Persist value
            this._total = total;
        }

        public decimal CurrentTotal
        {
            get { return _total; }
        }
    }
}
