using System;
using System.Collections.Generic;
using System.Text;
using System.Workflow.ComponentModel;
using System.Workflow.Activities;

namespace SodaService
{
    [Serializable]
    public class CoinInsertedEventArgs : ExternalDataEventArgs
    {
        private decimal _value = 0.0m;

        public CoinInsertedEventArgs(Guid instanceID, decimal coinValue)
            : base(instanceID)
        {
            // Persist value
            this._value = coinValue;
        }

        public decimal CoinValue
        {
            get { return _value; }
        }
    }
}
