using System;
using System.Collections.Generic;
using System.Text;
using System.Workflow.ComponentModel;
using System.Workflow.Activities;

namespace SodaService
{
    [Serializable]
    public class DispenseEventArgs : ExternalDataEventArgs
    {
        private decimal _total = 0.0m;

        public DispenseEventArgs(Guid instanceId, decimal finalTotal)
            : base(instanceId)
        {
            // Persist value
            this._total = finalTotal;
        }

        public decimal FinalTotal
        {
            get { return _total; }
        }
    }
}
